<h1 mat-dialog-title fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="16px">
  <mat-icon color="warn">delete</mat-icon>
  <span>Clear unused images</span>
</h1>
<mat-dialog-content>
  <mat-action-list>
    <button mat-list-item (click)="checkUnusedImages()">
      <mat-icon mat-list-icon>perm_media</mat-icon>
      <span mat-line>Check unused images</span>
      <span mat-line *ngIf="unusedImages !== undefined">> {{ unusedImages }} image(s)</span>
    </button>
    <button mat-list-item (click)="removeUnusedImages()" [disabled]="unusedImages === undefined">
      <mat-icon mat-list-icon>delete</mat-icon>
      <span mat-line>Remove images</span>
      <span mat-line *ngIf="removedImages !== undefined && unusedImages !== undefined">{{ removedImages }} / {{ unusedImages }}</span>
      <mat-progress-bar *ngIf="removedImages !== undefined && unusedImages !== undefined" [value]="removedImagesPercentage"></mat-progress-bar>
    </button>
  </mat-action-list>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-button mat-dialog-close>Close</button>
</mat-dialog-actions>
